Package com.ocient.jdbc.proto

## Class PlanProtocol.TableScanOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.TableScanOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.TableScanOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.TableScanOperator

    public static final class PlanProtocol.TableScanOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>
    implements PlanProtocol.TableScanOperatorOrBuilder

    Represents the reading of table data via a scan

Protobuf type `xg.db.sqlPlans.TableScanOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`PlanProtocol.TableScanOperator.Builder` `addAllColNames​(Iterable<String> values)` Deprecated.
`PlanProtocol.TableScanOperator.Builder` `addAllColTypes​(Iterable<String> values)` The string representation of the type of ALL output columns
`PlanProtocol.TableScanOperator.Builder` `addAllTimeFilters​(Iterable<? extends PlanProtocol.Disjunction> values)` Time filter disjunctions
`PlanProtocol.TableScanOperator.Builder` `addColNames​(String value)` Deprecated.
`PlanProtocol.TableScanOperator.Builder` `addColNamesBytes​(com.google.protobuf.ByteString value)` Deprecated.
`PlanProtocol.TableScanOperator.Builder` `addColTypes​(String value)` The string representation of the type of ALL output columns
`PlanProtocol.TableScanOperator.Builder` `addColTypesBytes​(com.google.protobuf.ByteString value)` The string representation of the type of ALL output columns
`PlanProtocol.TableScanOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.TableScanOperator.Builder` `addTimeFilters​(int index, PlanProtocol.Disjunction value)` Time filter disjunctions
`PlanProtocol.TableScanOperator.Builder` `addTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` Time filter disjunctions
`PlanProtocol.TableScanOperator.Builder` `addTimeFilters​(PlanProtocol.Disjunction value)` Time filter disjunctions
`PlanProtocol.TableScanOperator.Builder` `addTimeFilters​(PlanProtocol.Disjunction.Builder builderForValue)` Time filter disjunctions
`PlanProtocol.Disjunction.Builder` `addTimeFiltersBuilder()` Time filter disjunctions
`PlanProtocol.Disjunction.Builder` `addTimeFiltersBuilder​(int index)` Time filter disjunctions
`PlanProtocol.TableScanOperator` `build()`
`PlanProtocol.TableScanOperator` `buildPartial()`
`PlanProtocol.TableScanOperator.Builder` `clear()`
`PlanProtocol.TableScanOperator.Builder` `clearColNames()` Deprecated.
`PlanProtocol.TableScanOperator.Builder` `clearColTypes()` The string representation of the type of ALL output columns
`PlanProtocol.TableScanOperator.Builder` `clearColumns()`
`PlanProtocol.TableScanOperator.Builder` `clearDb()` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.TableScanOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.TableScanOperator.Builder` `clearLimitVal()` If there is no limit being applied, this is set to -1
`PlanProtocol.TableScanOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.TableScanOperator.Builder` `clearSchema()` The table schema
`PlanProtocol.TableScanOperator.Builder` `clearStorageSpaceUuid()` `string storage_space_uuid = 7;`
`PlanProtocol.TableScanOperator.Builder` `clearTableName()` The table name
`PlanProtocol.TableScanOperator.Builder` `clearTableUuid()` `string table_uuid = 6;`
`PlanProtocol.TableScanOperator.Builder` `clearTimeFilters()` Time filter disjunctions
`PlanProtocol.TableScanOperator.Builder` `clone()`
`boolean` `containsColumns​(String key)` The columns
`String` `getColNames​(int index)` Deprecated.
`com.google.protobuf.ByteString` `getColNamesBytes​(int index)` Deprecated.
`int` `getColNamesCount()` Deprecated.
`com.google.protobuf.ProtocolStringList` `getColNamesList()` Deprecated.
`String` `getColTypes​(int index)` The string representation of the type of ALL output columns
`com.google.protobuf.ByteString` `getColTypesBytes​(int index)` The string representation of the type of ALL output columns
`int` `getColTypesCount()` The string representation of the type of ALL output columns
`com.google.protobuf.ProtocolStringList` `getColTypesList()` The string representation of the type of ALL output columns
`Map<String,​PlanProtocol.ColumnInfo>` `getColumns()` Deprecated.
`int` `getColumnsCount()` The columns
`Map<String,​PlanProtocol.ColumnInfo>` `getColumnsMap()` The columns
`PlanProtocol.ColumnInfo` `getColumnsOrDefault​(String key, PlanProtocol.ColumnInfo defaultValue)` The columns
`PlanProtocol.ColumnInfo` `getColumnsOrThrow​(String key)` The columns
`String` `getDb()` Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` `getDbBytes()` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.TableScanOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getLimitVal()` If there is no limit being applied, this is set to -1
`Map<String,​PlanProtocol.ColumnInfo>` `getMutableColumns()` Deprecated.
`String` `getSchema()` The table schema
`com.google.protobuf.ByteString` `getSchemaBytes()` The table schema
`String` `getStorageSpaceUuid()` `string storage_space_uuid = 7;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidBytes()` `string storage_space_uuid = 7;`
`String` `getTableName()` The table name
`com.google.protobuf.ByteString` `getTableNameBytes()` The table name
`String` `getTableUuid()` `string table_uuid = 6;`
`com.google.protobuf.ByteString` `getTableUuidBytes()` `string table_uuid = 6;`
`PlanProtocol.Disjunction` `getTimeFilters​(int index)` Time filter disjunctions
`PlanProtocol.Disjunction.Builder` `getTimeFiltersBuilder​(int index)` Time filter disjunctions
`List<PlanProtocol.Disjunction.Builder>` `getTimeFiltersBuilderList()` Time filter disjunctions
`int` `getTimeFiltersCount()` Time filter disjunctions
`List<PlanProtocol.Disjunction>` `getTimeFiltersList()` Time filter disjunctions
`PlanProtocol.DisjunctionOrBuilder` `getTimeFiltersOrBuilder​(int index)` Time filter disjunctions
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getTimeFiltersOrBuilderList()` Time filter disjunctions
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`PlanProtocol.TableScanOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.TableScanOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.TableScanOperator.Builder` `mergeFrom​(PlanProtocol.TableScanOperator other)`
`PlanProtocol.TableScanOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.TableScanOperator.Builder` `putAllColumns​(Map<String,​PlanProtocol.ColumnInfo> values)` The columns
`PlanProtocol.TableScanOperator.Builder` `putColumns​(String key, PlanProtocol.ColumnInfo value)` The columns
`PlanProtocol.TableScanOperator.Builder` `removeColumns​(String key)` The columns
`PlanProtocol.TableScanOperator.Builder` `removeTimeFilters​(int index)` Time filter disjunctions
`PlanProtocol.TableScanOperator.Builder` `setColNames​(int index, String value)` Deprecated.
`PlanProtocol.TableScanOperator.Builder` `setColTypes​(int index, String value)` The string representation of the type of ALL output columns
`PlanProtocol.TableScanOperator.Builder` `setDb​(String value)` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.TableScanOperator.Builder` `setDbBytes​(com.google.protobuf.ByteString value)` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.TableScanOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.TableScanOperator.Builder` `setLimitVal​(long value)` If there is no limit being applied, this is set to -1
`PlanProtocol.TableScanOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.TableScanOperator.Builder` `setSchema​(String value)` The table schema
`PlanProtocol.TableScanOperator.Builder` `setSchemaBytes​(com.google.protobuf.ByteString value)` The table schema
`PlanProtocol.TableScanOperator.Builder` `setStorageSpaceUuid​(String value)` `string storage_space_uuid = 7;`
`PlanProtocol.TableScanOperator.Builder` `setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)` `string storage_space_uuid = 7;`
`PlanProtocol.TableScanOperator.Builder` `setTableName​(String value)` The table name
`PlanProtocol.TableScanOperator.Builder` `setTableNameBytes​(com.google.protobuf.ByteString value)` The table name
`PlanProtocol.TableScanOperator.Builder` `setTableUuid​(String value)` `string table_uuid = 6;`
`PlanProtocol.TableScanOperator.Builder` `setTableUuidBytes​(com.google.protobuf.ByteString value)` `string table_uuid = 6;`
`PlanProtocol.TableScanOperator.Builder` `setTimeFilters​(int index, PlanProtocol.Disjunction value)` Time filter disjunctions
`PlanProtocol.TableScanOperator.Builder` `setTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` Time filter disjunctions
`PlanProtocol.TableScanOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### clear

    public PlanProtocol.TableScanOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.TableScanOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.TableScanOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.TableScanOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.TableScanOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### setField

    public PlanProtocol.TableScanOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### clearField

    public PlanProtocol.TableScanOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### clearOneof

    public PlanProtocol.TableScanOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.TableScanOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   int index,
                                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.TableScanOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### mergeFrom

    public PlanProtocol.TableScanOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.TableScanOperator.Builder>`

#### mergeFrom

    public PlanProtocol.TableScanOperator.Builder mergeFrom​(PlanProtocol.TableScanOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### mergeFrom

    public PlanProtocol.TableScanOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.TableScanOperator.Builder>`
Throws:
  `IOException`

#### getSchema

    public String getSchema()

    The table schema

`string schema = 1;`

Specified by:
  `getSchema` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The schema.

#### getSchemaBytes

    public com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

Specified by:
  `getSchemaBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The bytes for schema.

#### setSchema

    public PlanProtocol.TableScanOperator.Builder setSchema​(String value)

    The table schema

`string schema = 1;`

Parameters:
  `value` - The schema to set.
Returns:
  This builder for chaining.

#### clearSchema

    public PlanProtocol.TableScanOperator.Builder clearSchema()

    The table schema

`string schema = 1;`

Returns:
  This builder for chaining.

#### setSchemaBytes

    public PlanProtocol.TableScanOperator.Builder setSchemaBytes​(com.google.protobuf.ByteString value)

    The table schema

`string schema = 1;`

Parameters:
  `value` - The bytes for schema to set.
Returns:
  This builder for chaining.

#### getTableName

    public String getTableName()

    The table name

`string tableName = 2;`

Specified by:
  `getTableName` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The tableName.

#### getTableNameBytes

    public com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

Specified by:
  `getTableNameBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The bytes for tableName.

#### setTableName

    public PlanProtocol.TableScanOperator.Builder setTableName​(String value)

    The table name

`string tableName = 2;`

Parameters:
  `value` - The tableName to set.
Returns:
  This builder for chaining.

#### clearTableName

    public PlanProtocol.TableScanOperator.Builder clearTableName()

    The table name

`string tableName = 2;`

Returns:
  This builder for chaining.

#### setTableNameBytes

    public PlanProtocol.TableScanOperator.Builder setTableNameBytes​(com.google.protobuf.ByteString value)

    The table name

`string tableName = 2;`

Parameters:
  `value` - The bytes for tableName to set.
Returns:
  This builder for chaining.

#### getColNamesList

    @Deprecated
    public com.google.protobuf.ProtocolStringList getColNamesList()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Specified by:
  `getColNamesList` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  A list containing the colNames.

#### getColNamesCount

    @Deprecated
    public int getColNamesCount()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Specified by:
  `getColNamesCount` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The count of colNames.

#### getColNames

    @Deprecated
    public String getColNames​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Specified by:
  `getColNames` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The colNames at the given index.

#### getColNamesBytes

    @Deprecated
    public com.google.protobuf.ByteString getColNamesBytes​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Specified by:
  `getColNamesBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colNames at the given index.

#### setColNames

    @Deprecated
    public PlanProtocol.TableScanOperator.Builder setColNames​(int index,
                                                              String value)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Parameters:
  `index` - The index to set the value at.
  `value` - The colNames to set.
Returns:
  This builder for chaining.

#### addColNames

    @Deprecated
    public PlanProtocol.TableScanOperator.Builder addColNames​(String value)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Parameters:
  `value` - The colNames to add.
Returns:
  This builder for chaining.

#### addAllColNames

    @Deprecated
    public PlanProtocol.TableScanOperator.Builder addAllColNames​(Iterable<String> values)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Parameters:
  `values` - The colNames to add.
Returns:
  This builder for chaining.

#### clearColNames

    @Deprecated
    public PlanProtocol.TableScanOperator.Builder clearColNames()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Returns:
  This builder for chaining.

#### addColNamesBytes

    @Deprecated
    public PlanProtocol.TableScanOperator.Builder addColNamesBytes​(com.google.protobuf.ByteString value)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 3 [deprecated = true];`

Parameters:
  `value` - The bytes of the colNames to add.
Returns:
  This builder for chaining.

#### getLimitVal

    public long getLimitVal()

    If there is no limit being applied, this is set to -1

`int64 limitVal = 4;`

Specified by:
  `getLimitVal` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The limitVal.

#### setLimitVal

    public PlanProtocol.TableScanOperator.Builder setLimitVal​(long value)

    If there is no limit being applied, this is set to -1

`int64 limitVal = 4;`

Parameters:
  `value` - The limitVal to set.
Returns:
  This builder for chaining.

#### clearLimitVal

    public PlanProtocol.TableScanOperator.Builder clearLimitVal()

    If there is no limit being applied, this is set to -1

`int64 limitVal = 4;`

Returns:
  This builder for chaining.

#### getDb

    public String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Specified by:
  `getDb` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The db.

#### getDbBytes

    public com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Specified by:
  `getDbBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The bytes for db.

#### setDb

    public PlanProtocol.TableScanOperator.Builder setDb​(String value)

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Parameters:
  `value` - The db to set.
Returns:
  This builder for chaining.

#### clearDb

    public PlanProtocol.TableScanOperator.Builder clearDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Returns:
  This builder for chaining.

#### setDbBytes

    public PlanProtocol.TableScanOperator.Builder setDbBytes​(com.google.protobuf.ByteString value)

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Parameters:
  `value` - The bytes for db to set.
Returns:
  This builder for chaining.

#### getTableUuid

    public String getTableUuid()

`string table_uuid = 6;`

Specified by:
  `getTableUuid` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The tableUuid.

#### getTableUuidBytes

    public com.google.protobuf.ByteString getTableUuidBytes()

`string table_uuid = 6;`

Specified by:
  `getTableUuidBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The bytes for tableUuid.

#### setTableUuid

    public PlanProtocol.TableScanOperator.Builder setTableUuid​(String value)

`string table_uuid = 6;`

Parameters:
  `value` - The tableUuid to set.
Returns:
  This builder for chaining.

#### clearTableUuid

    public PlanProtocol.TableScanOperator.Builder clearTableUuid()

`string table_uuid = 6;`

Returns:
  This builder for chaining.

#### setTableUuidBytes

    public PlanProtocol.TableScanOperator.Builder setTableUuidBytes​(com.google.protobuf.ByteString value)

`string table_uuid = 6;`

Parameters:
  `value` - The bytes for tableUuid to set.
Returns:
  This builder for chaining.

#### getStorageSpaceUuid

    public String getStorageSpaceUuid()

`string storage_space_uuid = 7;`

Specified by:
  `getStorageSpaceUuid` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The storageSpaceUuid.

#### getStorageSpaceUuidBytes

    public com.google.protobuf.ByteString getStorageSpaceUuidBytes()

`string storage_space_uuid = 7;`

Specified by:
  `getStorageSpaceUuidBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The bytes for storageSpaceUuid.

#### setStorageSpaceUuid

    public PlanProtocol.TableScanOperator.Builder setStorageSpaceUuid​(String value)

`string storage_space_uuid = 7;`

Parameters:
  `value` - The storageSpaceUuid to set.
Returns:
  This builder for chaining.

#### clearStorageSpaceUuid

    public PlanProtocol.TableScanOperator.Builder clearStorageSpaceUuid()

`string storage_space_uuid = 7;`

Returns:
  This builder for chaining.

#### setStorageSpaceUuidBytes

    public PlanProtocol.TableScanOperator.Builder setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)

`string storage_space_uuid = 7;`

Parameters:
  `value` - The bytes for storageSpaceUuid to set.
Returns:
  This builder for chaining.

#### getTimeFiltersList

    public List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFiltersList` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### getTimeFiltersCount

    public int getTimeFiltersCount()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFiltersCount` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### getTimeFilters

    public PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFilters` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### setTimeFilters

    public PlanProtocol.TableScanOperator.Builder setTimeFilters​(int index,
                                                                 PlanProtocol.Disjunction value)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### setTimeFilters

    public PlanProtocol.TableScanOperator.Builder setTimeFilters​(int index,
                                                                 PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### addTimeFilters

    public PlanProtocol.TableScanOperator.Builder addTimeFilters​(PlanProtocol.Disjunction value)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### addTimeFilters

    public PlanProtocol.TableScanOperator.Builder addTimeFilters​(int index,
                                                                 PlanProtocol.Disjunction value)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### addTimeFilters

    public PlanProtocol.TableScanOperator.Builder addTimeFilters​(PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### addTimeFilters

    public PlanProtocol.TableScanOperator.Builder addTimeFilters​(int index,
                                                                 PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### addAllTimeFilters

    public PlanProtocol.TableScanOperator.Builder addAllTimeFilters​(Iterable<? extends PlanProtocol.Disjunction> values)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### clearTimeFilters

    public PlanProtocol.TableScanOperator.Builder clearTimeFilters()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### removeTimeFilters

    public PlanProtocol.TableScanOperator.Builder removeTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### getTimeFiltersBuilder

    public PlanProtocol.Disjunction.Builder getTimeFiltersBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### getTimeFiltersOrBuilder

    public PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFiltersOrBuilder` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### getTimeFiltersOrBuilderList

    public List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

Specified by:
  `getTimeFiltersOrBuilderList` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### addTimeFiltersBuilder

    public PlanProtocol.Disjunction.Builder addTimeFiltersBuilder()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### addTimeFiltersBuilder

    public PlanProtocol.Disjunction.Builder addTimeFiltersBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### getTimeFiltersBuilderList

    public List<PlanProtocol.Disjunction.Builder> getTimeFiltersBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 8;`

#### getColTypesList

    public com.google.protobuf.ProtocolStringList getColTypesList()

    The string representation of the type of ALL output columns

`repeated string colTypes = 9;`

Specified by:
  `getColTypesList` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  A list containing the colTypes.

#### getColTypesCount

    public int getColTypesCount()

    The string representation of the type of ALL output columns

`repeated string colTypes = 9;`

Specified by:
  `getColTypesCount` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Returns:
  The count of colTypes.

#### getColTypes

    public String getColTypes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 9;`

Specified by:
  `getColTypes` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The colTypes at the given index.

#### getColTypesBytes

    public com.google.protobuf.ByteString getColTypesBytes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 9;`

Specified by:
  `getColTypesBytes` in interface `PlanProtocol.TableScanOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colTypes at the given index.

#### setColTypes

    public PlanProtocol.TableScanOperator.Builder setColTypes​(int index,
                                                              String value)

    The string representation of the type of ALL output columns

`repeated string colTypes = 9;`

Parameters:
  `index` - The index to set the value at.
  `value` - The colTypes to set.
Returns:
  This builder for chaining.

#### addColTypes

    public PlanProtocol.TableScanOperator.Builder addColTypes​(String value)

    The string representation of the type of ALL output columns

`repeated string colTypes = 9;`

Parameters:
  `value` - The colTypes to add.
Returns:
  This builder for chaining.

#### addAllColTypes

    public PlanProtocol.TableScanOperator.Builder addAllColTypes​(Iterable<String> values)

    The string representation of the type of ALL output columns

`repeated string colTypes = 9;`

Parameters:
  `values` - The colTypes to add.
Returns:
  This builder for chaining.

#### clearColTypes

    public PlanProtocol.TableScanOperator.Builder clearColTypes()

    The string representation of the type of ALL output columns

`repeated string colTypes = 9;`

Returns:
  This builder for chaining.

#### addColTypesBytes

    public PlanProtocol.TableScanOperator.Builder addColTypesBytes​(com.google.protobuf.ByteString value)

    The string representation of the type of ALL output columns

`repeated string colTypes = 9;`

Parameters:
  `value` - The bytes of the colTypes to add.
Returns:
  This builder for chaining.

#### getColumnsCount

    public int getColumnsCount()

Description copied from interface: `PlanProtocol.TableScanOperatorOrBuilder`

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `getColumnsCount` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### containsColumns

    public boolean containsColumns​(String key)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `containsColumns` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### getColumns

    @Deprecated
    public Map<String,​PlanProtocol.ColumnInfo> getColumns()

Deprecated.
Use `getColumnsMap()` instead.

Specified by:
  `getColumns` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### getColumnsMap

    public Map<String,​PlanProtocol.ColumnInfo> getColumnsMap()

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `getColumnsMap` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### getColumnsOrDefault

    public PlanProtocol.ColumnInfo getColumnsOrDefault​(String key,
                                                       PlanProtocol.ColumnInfo defaultValue)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `getColumnsOrDefault` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### getColumnsOrThrow

    public PlanProtocol.ColumnInfo getColumnsOrThrow​(String key)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

Specified by:
  `getColumnsOrThrow` in interface `PlanProtocol.TableScanOperatorOrBuilder`

#### clearColumns

    public PlanProtocol.TableScanOperator.Builder clearColumns()

#### removeColumns

    public PlanProtocol.TableScanOperator.Builder removeColumns​(String key)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

#### getMutableColumns

    @Deprecated
    public Map<String,​PlanProtocol.ColumnInfo> getMutableColumns()

Deprecated.
Use alternate mutation accessors instead.

#### putColumns

    public PlanProtocol.TableScanOperator.Builder putColumns​(String key,
                                                             PlanProtocol.ColumnInfo value)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

#### putAllColumns

    public PlanProtocol.TableScanOperator.Builder putAllColumns​(Map<String,​PlanProtocol.ColumnInfo> values)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 10;`

#### setUnknownFields

    public final PlanProtocol.TableScanOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.TableScanOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.TableScanOperator.Builder>`